View Issue Details

IDProjectCategoryView StatusLast Update
0002419FreeCADFeaturepublic2019-07-29 15:04
ReporterSanguinario_Joe Assigned To 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformGNU/LinuxOSXubuntuOS Version 15.10
Product Version0.16 
Target Version0.17Fixed in Version0.17 
Summary0002419: Matrix rotation and Units compatibility
DescriptionAlmost all the rotations and motions in FreeCAD supports Units, but the matrix rotation, which requires an angle in radians
Steps To Reproduce
import FreeCAD as App
from FreeCAD import Matrix
import Units
import math

# Let's define the roll angle in degrees,
# such that the matrix should be rotated
# about 6.29 degrees
roll = 2 * math.pi * Units.Degree

# However, applying it to the eye matrix,
# it is rotated 2*pi radians, i.e. 360
# degrees.
m = Matrix()
m.rotateX(roll)
App.Console.PrintMessage(max((m - Matrix()).A))
Additional InformationOS: Ubuntu 15.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6321 (Git)
Build type: Release
Branch: master
Hash: a583697e5a5e3e2c127f5ac5c63dd7668a2d76d7
Python version: 2.7.10
Qt version: 4.8.6
Coin version: 4.0.0a
Tagsunits
FreeCAD Information

Related Changesets

FreeCAD: master 25fb77a5

2017-10-25 06:50:06

wmayer

Details Diff
fixes 0002419: Matrix rotation and Units compatibility Affected Issues
0002419
mod - src/Base/MatrixPyImp.cpp Diff File

Issue History

Date Modified Username Field Change
2016-01-26 08:27 Sanguinario_Joe New Issue
2016-01-28 19:13 yorik Target Version 0.16 =>
2017-01-17 17:10 Kunda1 Description Updated View Revisions
2017-01-17 17:13 Kunda1 Tag Attached: units
2017-09-15 10:43 wmayer Target Version => 0.17
2017-10-23 19:07 Kunda1 Steps to Reproduce Updated View Revisions
2017-10-25 11:51 wmayer Status new => closed
2017-10-25 11:51 wmayer Resolution open => fixed
2017-10-25 11:51 wmayer Fixed in Version => 0.17
2017-10-25 11:51 wmayer Note Added: 0010352
2019-07-29 15:04 Kunda1 Changeset attached => FreeCAD master 25fb77a5